# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/herod/med/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/herod/med/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Herod\\Med\\": "packages/herod/med/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Herod\Med\Providers\MedServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Med'  => Herod\Med\Facades\Med::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Herod\\MedTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Herod\Med\Providers\MedServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Herod\Med\Providers\MedServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Herod\Med\Providers\MedServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/med/{modulename}

**User**

    http://path-to-route-folder/user/med/{modulename}

**Public**

    http://path-to-route-folder/meds


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/med/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/med/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/med/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/med/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/med/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/med/{modulename}/{slug}
    METHOD: GET